# mubi-to-csv

Extract film info, viewing date and rating from the Mubi Viewing History HTML.

## Usage

Save the Viewing History HTML pages from Mubi in a directory, then run:

    ./mubi-to-csv <(cat Viewing\ History*.html) > mubi-viewing-history.csv

## Requirements

* Nokogiri
* Ruby

Should work on any ruby version supported by Nokogiri as far as I know.

## Contributing

If you find a bug or have suggestions for enhancements, feel free to hit me
up at [@harald@hub.volse.no](https://hub.volse.no/channel/harald) on the
fediverse.

## License

```
Copyright (C) 2020  Harald Eilertsen

This program is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
details.

You should have received a copy of the GNU General Public License along with
this program.  If not, see <http://www.gnu.org/licenses/>.
```
